Subject: Re: [PATCH v3 0/4] Rename/copy limits -- docs, warnings, and new defaults

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jul 2021 16:20:49 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> Fix a few small issues with documentation and warnings around the limits for
> the quadratic portion of rename (&copy) detection, and bump the default
> limits.
>
> Discussion on bumping the limits can be found at [1]. Although it appears we
> generally agree we could switch to an unlimited setting for
> merge.renameLimit, that would require some changes to progress bars to
> notify users how to take action once things start taking a while. So, for
> now, just bump the limits.
>
> [1]
> https://lore.kernel.org/git/CABPp-BFzp3TCWiF1QAVSfywDLYrz=[email-masked]/T/#u
>
> Changes since v2:
>
>  * Change the meaning of "0" to actually mean unlimited, and modify the
>    documentation to mention that.
>  * Added 'currently' to descriptions to make it clear the defaults are
>    likely to change (again).
>  * Added a brief explanation of the exhaustive portion of rename detection,
>    as requested by Ævar (though, honestly, I think the thing that actually
>    helps people pick values for the limit is the warning that tells people
>    that rename detection was skipped and how high they need to set the limit
>    if they want to redo the operation and get renames).

Looks sensible.  The final phrase chosen ("exhaustive" part) does
sound easy-to-understand, too.